<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes"/>
<xsl:variable name="common-styles">
<style type="text/css">
body		{ font-family:Verdana;Arial; font-size:11pt; margin:0pt; padding:0pt; }
table.header {font-family:Verdana;Arial;color:#000000;cell-padding:2pt;background:#B6BDD2;width:100%;height:30px;border-bottom: 1px solid #000088;}
.headercolumns {font-family:Verdana;Arial;color:#000000;cell-padding:0pt;background:#B6BDD2;width:100%;height:30px;border: 0px;}
div.footer { color: gray; font-size: xx-small; text-align: right; margin-top: 2px;}
.title		{font-size:9pt;	font-weight: normal;}
.date		{ font-size:9pt; }
div.content { font-family:Verdana, Arial;font-size:10pt;margin:10pt;padding:5pt;  }
td.title a:link      { color:#0000CC;text-decoration:none;font-weight:normal; }
td.title a:visited   { color:#0000CC;text-decoration:none; }
td.title a:hover		 { color:#0000FF;text-decoration:underline;font-weight:normal; }
a:link      {color:#0000CC;text-decoration:none;font-weight:normal; }
a:visited   {color:#0000CC;text-decoration:none;}
a:hover		{ color:#0000FF;text-decoration:underline;font-weight:normal; }
</style>
</xsl:variable>

<xsl:template match="//record">
	<html>
	<head>
		<title>News Item</title>
		<xsl:copy-of select="$common-styles"/>
	</head>
	<body>
    <table class="header">
      <tr>
        <td width="100%" align="right">
          <table class="headercolumns" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td class="title" width="49%" align="left" valign="top">
                <strong>From: </strong>
				<xsl:value-of select="feed/title" disable-output-escaping="yes"/>
			</td>
              <td class="date" width="51%" valign="top" align="right">
                <b><xsl:value-of select="item/published" disable-output-escaping="yes"/></b>
              </td>
            </tr>
            <tr>
              <td colspan="2" class="title" align="left" valign="bottom">
                <strong>Subject: </strong>
				<a href="{item/link}"><xsl:value-of select="item/title" disable-output-escaping="yes"/></a>
			  </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>

    <div class="content">
		<xsl:value-of select="item/content" disable-output-escaping="yes"/>
	<br/><a href="{item/link}">Read on...</a></div>
		<div class="footer">
		<xsl:if test="item/comments">
			<xsl:variable name="commentlink" select="item/comments/@link"/>
			<a href="{$commentlink}"><xsl:value-of select="item/comments/@text"/></a>
		</xsl:if>			
		<xsl:if test="item/reply">
			<xsl:variable name="replylink" select="item/reply/@link"/>
			<xsl:text> </xsl:text><a href="{$replylink}"><xsl:value-of select="item/reply/@text"/></a>
		</xsl:if>			
		</div>	

	</body>
	</html>
</xsl:template>

</xsl:stylesheet>


